# 官方文档
# Home Assistant - 家庭自动化平台
# https://hub.docker.com/r/homeassistant/home-assistant
# https://github.com/home-assistant

---
version: "3"
# 最后编辑时间：2024-07-12
services:
  homeassistant:
    image: homeassistant/home-assistant:latest
    # 镜像地址
    container_name: homeassistant
    # 容器名字
    hostname: homeassistant
    # 主机名
    volumes:
      - /volume1/docker/homeassistant:/config
      # 配置文件目录
    environment:
      - TZ=Asia/Shanghai
      # 时区
    # network_mode: bridge
    network_mode: host
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # 推荐使用host模式
    # ports:
      # - 8123:8123/tcp
      # WebUI 端口
    restart: always
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
